INSERT INTO esia_service_pattern_included (included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority)
SELECT 'GESA_SNMP_QNAP_FAN',
                (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),
                (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_FAN'),
                (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_FAN'),300000,NULL,NULL,NULL,NULL,NULL,3
WHERE NOT EXISTS (
	SELECT included_id
	FROM esia_service_pattern_included
	WHERE included_name='GESA_SNMP_QNAP_FAN' AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap')
	);

INSERT INTO esia_service_pattern_included (included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority)
SELECT 'GESA_SNMP_QNAP_RAID',
                (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),
                (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAID'),
                (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAID'),300000,NULL,NULL,NULL,NULL,NULL,3
WHERE NOT EXISTS (
	SELECT included_id
	FROM esia_service_pattern_included
	WHERE included_name='GESA_SNMP_QNAP_RAID' AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap')
	);

INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
	service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAID'),service_device_id,300000,
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAID'),4,
		'GESA_SNMP_QNAP_RAID',4,
		(SELECT included_id
		 FROM esia_service_pattern_included
		 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAID')
			AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
	(SELECT included_id
	 FROM esia_service_pattern_included
	 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAID')
	 	AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'));
INSERT INTO public.esia_services(service_plugin_id, service_device_id, service_interval_time, service_parameter, service_previous_state,
	service_name,service_priority, service_included_id)
SELECT (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_FAN'),service_device_id,300000,
		(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_FAN'),4,
		'GESA_SNMP_QNAP_FAN',4,
		(SELECT included_id
		 FROM esia_service_pattern_included
		 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_FAN')
			AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'))
FROM esia_plugins
JOIN esia_services ON esia_services.service_plugin_id = esia_plugins.plugin_id
WHERE service_included_id IN
	(SELECT included_id
	 FROM esia_service_pattern_included
	 WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_FAN')
	 	AND included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'));

UPDATE esia_plugins SET plugin_name='GESA_SNMP_IBM_TS_STATUS' WHERE plugin_name='GESA_SNMP_IBM_TS_STATUT';
UPDATE esia_service_pattern_included SET
	included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_IBM_TS_STATUS'),
	included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_IBM_TS_STATUS')
	WHERE included_pattern_id IN (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_ibm_tape')
			AND included_name='GESA_SNMP_IBM_TS_STATUS';


UPDATE esia_plugins
	SET plugin_default_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_syno_syshealth -a $IP $SNMP_COM 55 60'
	WHERE plugin_name='GESA_SNMP_SYNOLOGY_SYSHEALTH';


UPDATE esia_service_pattern_included SET
	included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SYNOLOGY_SYSHEALTH')
	WHERE included_pattern_id IN (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_synology')
			AND included_name='GESA_SNMP_SYNOLOGY_SYSHEALTH';



UPDATE esia_services
	SET service_parameter=(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SYNOLOGY_SYSHEALTH')
	WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SYNOLOGY_SYSHEALTH')
		AND service_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -u -t 30 -c check_snmp_syno_syshealth -a $IP $SNMP_COM';
