--NAME:default_gesa_nas_qnap
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_QNAP_TEMP,GESA_SNMP_QNAP_STORAGE,GESA_SNMP_RAID,GESA_SNMP_QNAP_RAM,GESA_SNMP_FAN,GESA_SNMP_LOAD

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_nas_qnap','Pattern pour les NAS QNAP');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,1);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_QNAP_TEMP',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_TEMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_TEMP'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_QNAP_RAID',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAID'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAID'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_QNAP_RAM',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAM'),300000,NULL,NULL,NULL,NULL,NULL,1);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_QNAP_STORAGE',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_STORAGE'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_STORAGE'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_QNAP_FAN',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_FAN'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_FAN'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_LOAD',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),300000,NULL,NULL,NULL,NULL,NULL,1);
