--NAME:default_gesa_checkpoint
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_CHECKPOINT_TEMPERATURE,GESA_SNMP_CHECKPOINT_LICENSE,GESA_SNMP_LOAD,GESA_SNMP_LINUX_MEM

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_checkpoint','pattern de supervision des parefeux checkpoint');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_checkpoint'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_CHECKPOINT_TEMPERATURE',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_checkpoint'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CHECKPOINT_TEMPERATURE'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_CHECKPOINT_TEMPERATURE'),300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_CHECKPOINT_LICENCE',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_checkpoint'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CHECKPOINT_LICENCE'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_CHECKPOINT_LICENCE'),300000,NULL,NULL,NULL,NULL,NULL,3);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_LOAD',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_checkpoint'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_LINUX_MEM',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_checkpoint'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_MEM'),300000,NULL,NULL,NULL,NULL,NULL,3);
