--NAME:default_gesa_snmp_fortimail
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_FORTIMAIL_LOAD,GESA_SNMP_FORTIMAIL_MEM,GESA_SNMP_FORTIMAIL_MAILDISK,GESA_SNMP_FORTIMAIL_LOGDISK,GESA_SNMP_FORTIMAIL_MAILLOAD,GESA_SNMP_FORTIMAIL_MAILQUEUE

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_snmp_fortimail','pattern de supervision des fortimail');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_fortimail'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%','300000',NULL,NULL,NULL,NULL,NULL,'1',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_FORTIMAIL_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_fortimail'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_FORTIMAIL_LOAD'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_fortimail_cpu -a $IP $SNMP_COM 80 90','300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_FORTIMAIL_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_fortimail'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_FORTIMAIL_MEM'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_fortimail_mem -a $IP $SNMP_COM 80 90','300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_FORTIMAIL_MAILDISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_fortimail'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_FORTIMAIL_MAILDISK'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_fortimail_maildisk -a $IP $SNMP_COM 80 90','300000',NULL,NULL,NULL,NULL,NULL,'4',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_FORTIMAIL_LOGDISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_fortimail'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_FORTIMAIL_LOGDISK'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_fortimail_logdisk -a $IP $SNMP_COM 80 90','300000',NULL,NULL,NULL,NULL,NULL,'4',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_FORTIMAIL_MAILLOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_fortimail'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_FORTIMAIL_MAILLOAD'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_fortimail_load -a $IP $SNMP_COM 80 90','300000',NULL,NULL,NULL,NULL,NULL,'4',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_FORTIMAIL_DEFAULT_MAILQUEUE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_fortimail'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_FORTIMAIL_MAILQUEUE'),'-H $IP -C $SNMP_COM -T mailqueue -w 2 -c 5 -n "default queue"','300000',NULL,NULL,NULL,NULL,NULL,'4',NULL);

