--NAME:default_gesa_snmp_fortinet_switch
--INFRA:GESA
--PLUGINS:GESA_SNMP_FORTINET_SW_LOAD,GESA_SNMP_FORTINET_SW_MEM,GESA_SNMP_FORTINET_SW_STATE

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_gesa_snmp_fortinet_switch','pattern de supervision des fortinets switchs');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_FORTINET_SW_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_fortinet_switch'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_FORTINET_SW_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_FORTINET_SW_LOAD'),
	300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_FORTINET_SW_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_fortinet_switch'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_FORTINET_SW_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_FORTINET_SW_MEM'),
	300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_FORTINET_SW_STATE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_fortinet_switch'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_FORTINET_SW_STATE'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_FORTINET_SW_STATE'),
	300000,3);
