--NAME:default_gesa_snmp_paloalto
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_PALOALTO_LOAD,GESA_SNMP_PALOALTO_MEM,GESA_SNMP_PALOALTO_DISK,GESA_SNMP_PALOALTO_HA,GESA_SNMP_PALOALTO_SESSION

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_snmp_paloalto','pattern de supervision des parefeux Palo Alto');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_paloalto'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_PALOALTO_LOAD',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_paloalto'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PALOALTO_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_PALOALTO_LOAD'),300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_PALOALTO_MEM',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_paloalto'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PALOALTO_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_PALOALTO_MEM'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_PALOALTO_DISK',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_paloalto'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PALOALTO_DISK'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_PALOALTO_DISK'),300000,NULL,NULL,NULL,NULL,NULL,3);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_PALOALTO_HA',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_paloalto'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PALOALTO_HA'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_PALOALTO_HA'),300000,NULL,NULL,NULL,NULL,NULL,3);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_PALOALTO_SESSION',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_paloalto'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PALOALTO_SESSION'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_PALOALTO_SESSION'),300000,NULL,NULL,NULL,NULL,NULL,3);
