--NAME:default_gesa_snmp_qsan
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_QSAN_ENV,GESA_SNMP_UBIQUITI_AP_MEM,GESA_SNMP_UBIQUITI_AP_CLIENT

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_gesa_snmp_qsan','pattern de supervision des SAN QSAN');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_qsan'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
    300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_QSAN_ENV',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_qsan'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QSAN_ENV'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QSAN_ENV'),
    300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_QSAN_RAID',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_qsan'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QSAN_RAID'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QSAN_RAID'),
    300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_QSAN_DISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_qsan'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QSAN_DISK'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QSAN_DISK'),
    300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_QSAN_SMART',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_qsan'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QSAN_SMART'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QSAN_SMART'),
    300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_QSAN_VDISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_qsan'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QSAN_VDISK'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_QSAN_VDISK'),
    300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_LINUX_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_qsan'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_STORAGE'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_STORAGE'),
    300000,3);
