--NAME:default_gesa_snmp_sophos
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_SOPHOS_LOAD,GESA_SNMP_SOPHOS_DISK,GESA_SNMP_SOPHOS_MEM,GESA_SNMP_SOPHOS_HA

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_gesa_snmp_sophos','pattern de supervision des pare-feux Sophos');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_sophos'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_SOPHOS_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_sophos'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SOPHOS_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SOPHOS_LOAD'),
	300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_SOPHOS_DISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_sophos'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SOPHOS_DISK'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SOPHOS_DISK'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_SOPHOS_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_sophos'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SOPHOS_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SOPHOS_MEM'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_SOPHOS_HA',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_sophos'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SOPHOS_HA'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SOPHOS_HA'),
	300000,3);
