--NAME:default_gesa_zyxel_usg
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_ZYXEL_USG_LOAD,GESA_SNMP_ZYXEL_USG_MEM,GESA_SNMP_ZYXEL_USG_TEMP,GESA_SNMP_ZYXEL_USG_SESS,GESA_SNMP_ZYXEL_USG_FLASH

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_zyxel_usg','pattern de supervision des firewalls zyxel USG');

INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id, included_plugin_id, included_parameter, included_interval,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_zyxel_usg'), (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),300000,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_ZYXEL_USG_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_LOAD'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_LOAD'),300000,NULL,NULL,NULL,NULL,NULL,2);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_ZYXEL_USG_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_MEM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_MEM'),300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_ZYXEL_USG_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_TEMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_TEMP'),300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_ZYXEL_USG_SESS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_SESS'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_SESS'),300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_ZYXEL_USG_FLASH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_FLASH'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_FLASH'),300000,NULL,NULL,NULL,NULL,NULL,7);
