--NAME:GESA_API_INNOVAPHONE_PKG_LOSS
--INFRA:GESA

INSERT INTO public.esia_plugins (plugin_name, plugin_path, plugin_type, plugin_trap_oid, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_delete, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag) VALUES ('GESA_API_INNOVAPHONE_PKG_LOSS', '/usr/local/esia/plugins/check_nrpe', 'default', NULL, '-u -S $GESASN -c check_api_innovaphone -a pkg_loss  /etc/esia/innovaphone/default.auth $IP 0.1 0.5', 300000, 'Teste le nombre de paquets perdus par minutes par appels', false, 7, NULL, 'INNOVAPHONE', NULL);




INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_PKG_LOSS'),'GAUGE','#max:([\d\.]+)#',300,DEFAULT,'max_loss',0,-1,'packets/min','LINE1','#007FFF',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_PKG_LOSS'),'GAUGE','#total .*\(([\d\.]+).*\)#',300,DEFAULT,'avg_loss',0,-1,'packets/min','LINE1','#83bc00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_PKG_LOSS'),'GAUGE','#w:([\d\.]+)#',300,DEFAULT,'Warning',0,-1,'packets/min','LINE1','#FFFF00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_PKG_LOSS'),'GAUGE','#c:([\d\.]+)#',300,DEFAULT,'Critical',0,-1,'packets/min','LINE1','#FF0000',NULL,NULL,NULL);
