--NAME:GESA_SNMP_PROCESS
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'GESA_SNMP_PROCESS','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_process -a $IP $SNMP_COM apache2 2000,3000 90,100',300000,'Récupère via la GESA la présence où non d''un processus ainsi que sa consommation de RAM et CPU. 
 Fonctionne sous linux/windows. 
 check_nrpe -H 10.11.0.172 -p 5666 -u --c check_snmp_process -a 10.7.0.9 public apache 70,80 100,150','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_PROCESS.php');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PROCESS'),'GAUGE','#Mem\s:\s(\S+)M.*#',300,DEFAULT,'Ram',0,-1,'Mb','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PROCESS'),'GAUGE','#CPU\sCore\s:\s(\S+)\%#',300,DEFAULT,'CPU',0,100,'percents','AREA','#83bc00','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',2,NULL);
