--NAME:GESA_SNMP_QNAP_STORAGE
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'GESA_SNMP_QNAP_STORAGE','/usr/local/esia/plugins/check_nrpe', 'default','', '-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_qnap_storage -a $IP $SNMP_COM Vol1 80 90',300000,'Test l''espace disque disponible sur les différents volumes d''un NAS de la marque QNAP  Ce plugin récupère et vérifie:  - L''espace disque restant  - L''espace utilisé  - L''espace total  - Le type de partition','false',7,NULL,'QNAP','NAS');


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_STORAGE'),'GAUGE','#percent:([0-9]*)#',300,DEFAULT,'hdd',0,100,'percent','AREA','#007FFF',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_STORAGE'),'GAUGE','#used:([0-9]*)#',300,DEFAULT,'used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,'*1000000');
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_STORAGE'),'GAUGE','#size:([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,'*1000000');
