--NAME:GESA_SNMP_STORMSHIELD_IPSEC
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag)
VALUES (DEFAULT,'GESA_SNMP_STORMSHIELD_IPSEC','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_stormshield_vpn_ipsec -a $IP $SNMP_COM',300000,'vérifie si un VPN IPSEC est connecté','false',3,NULL,'STORMSHIELD','FIREWALL,VPN,IPSEC');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_IPSEC'),'GAUGE','#installed=([0-9]*)#',300,DEFAULT,'installed',0,-1,'Number','AREA','#F79F81',NULL)
ON CONFLICT DO NOTHING;
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_IPSEC'),'GAUGE','#down=([0-9]*)#',300,DEFAULT,'down',0,-1,'Number','LINE1','#58ACFA',NULL)
ON CONFLICT DO NOTHING;
