--STORMSHIELD
UPDATE esia_service_pattern_included SET
	included_plugin_id=(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_HEALTH'),
	included_name='GESA_SNMP_STORMSHIELD_HEALTH',
	included_parameter=(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_HEALTH')
WHERE included_pattern_id IN (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield')
	AND included_name='GESA_SNMP_STORMSHIELD_VERSION';

UPDATE esia_service_pattern_included SET
	included_plugin_id=(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_TEMP'),
	included_name='GESA_SNMP_STORMSHIELD_TEMP',
	included_parameter=(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_TEMP')
WHERE included_pattern_id IN (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield')
	AND included_name='GESA_SNMP_STORMSHIELD_MODULES';


UPDATE esia_services SET
	service_name='GESA_SNMP_STORMSHIELD_CPU',
	service_parameter=(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_CPU'),
	service_plugin_id=(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_CPU')
WHERE service_included_id IN (SELECT included_id
								FROM esia_service_pattern_included
								WHERE included_name='GESA_SNMP_STORMSHIELD_CPU'
									AND included_pattern_id IN (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield')
								);
UPDATE esia_services SET
	service_name='GESA_SNMP_STORMSHIELD_MEM',
	service_parameter=(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_MEM'),
	service_plugin_id=(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_MEM')
WHERE service_included_id IN (SELECT included_id
								FROM esia_service_pattern_included
								WHERE included_name='GESA_SNMP_STORMSHIELD_MEM'
									AND included_pattern_id IN (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield')
								);
UPDATE esia_services SET
	service_name='GESA_SNMP_STORMSHIELD_HEALTH',
	service_parameter=(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_HEALTH'),
	service_plugin_id=(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_HEALTH')
WHERE service_included_id IN (SELECT included_id
								FROM esia_service_pattern_included
								WHERE included_name='GESA_SNMP_STORMSHIELD_HEALTH'
									AND included_pattern_id IN (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield')
								);
UPDATE esia_services SET
	service_name='GESA_SNMP_STORMSHIELD_TEMP',
	service_parameter=(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_TEMP'),
	service_plugin_id=(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_TEMP')
WHERE service_included_id IN (SELECT included_id
								FROM esia_service_pattern_included
								WHERE included_name='GESA_SNMP_STORMSHIELD_TEMP'
									AND included_pattern_id IN (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield')
								);
INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_STORMSHIELD_SECURITY',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_SECURITY'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_SECURITY'),300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_MIKROTIK_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_mikrotik'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_MIKROTIK_TEMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_MIKROTIK_TEMP'),300000,NULL,NULL,NULL,NULL,NULL,4);

UPDATE esia_plugins SET plugin_html_template=NULL WHERE plugin_name LIKE 'GESA_PWSH%';
