--
--CHECK - BEFORE
--

UPDATE rrd_plugins SET rrd_regex='#load=([0-9]*)#' WHERE rrd_plugin_id IN ( SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_UPS_BATTERY') AND rrd_name = 'load';
UPDATE rrd_plugins SET rrd_regex='#temperature=([0-9]*)#' WHERE rrd_plugin_id IN ( SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_UPS_BATTERY')  AND rrd_name = 'temperature';
UPDATE rrd_plugins SET rrd_regex='#time=([0-9]*)#' WHERE rrd_plugin_id IN ( SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_UPS_BATTERY')  AND rrd_name = 'remaining_time';
UPDATE rrd_plugins SET rrd_regex='#tcp=([0-9]*)#' WHERE rrd_plugin_id IN ( SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_TCP_ESTABLISHED')
	AND rrd_name = 'tcp';

UPDATE public.esia_plugins
	SET plugin_name= 'GESA_SNMP_STORMSHIELD_HEALTH',
		plugin_default_parameter= '-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_stormshield_health -a $IP $SNMP_COM',plugin_tag='FIREWALL,HEALTH,RAID'
	WHERE plugin_name = 'GESA_SNMP_STORMSHIELD_VERSION';

UPDATE public.esia_plugins
	SET plugin_name= 'GESA_SNMP_STORMSHIELD_TEMP',
		plugin_default_parameter= '-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_stormshield_temp -a $IP $SNMP_COM',plugin_tag='FIREWALL,temperature'
	WHERE plugin_name = 'GESA_SNMP_STORMSHIELD_MODULES';

UPDATE public.esia_plugins
	SET plugin_default_parameter= '-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_stormshield_ha -a $IP $SNMP_COM',plugin_tag='FIREWALL,HA'
	WHERE plugin_name = 'GESA_SNMP_STORMSHIELD_HA';


UPDATE public.esia_plugins
	SET plugin_tag='USG,FLASH'
	WHERE plugin_name = 'GESA_SNMP_ZYXEL_USG_FLASH';

UPDATE public.esia_plugins
	SET plugin_tag='USG,SESSION'
	WHERE plugin_name = 'GESA_SNMP_ZYXEL_USG_SESS';

UPDATE public.esia_plugins
	SET plugin_default_parameter= '-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_zyxel_temp -a $IP $SNMP_COM 50 60',plugin_tag='USG,TEMP',plugin_name='GESA_SNMP_ZYXEL_USG_TEMP'
	WHERE plugin_name = 'GESA_SNMP_ZYXEL_USG_VER';


UPDATE rrd_plugins SET rrd_regex='#cpu=([0-9]*)#' WHERE rrd_plugin_id IN ( SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_ZYXEL_USG_LOAD') ;
UPDATE rrd_plugins SET rrd_regex='#mem=([0-9]*)#' WHERE rrd_plugin_id IN ( SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_ZYXEL_USG_MEM') ;
UPDATE rrd_plugins SET rrd_regex='#flash=([0-9]*)#' WHERE rrd_plugin_id IN ( SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_ZYXEL_USG_FLASH');
UPDATE rrd_plugins SET rrd_regex='#session=([0-9]*)#' WHERE rrd_plugin_id IN ( SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_ZYXEL_USG_SESS');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
	VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_TEMP'),'GAUGE','#temp=([0-9\.]*)#',300,DEFAULT,'temperature',0,-1,'Celsius','AREA','#83bc00',NULL,NULL,NULL);


UPDATE esia_plugins SET plugin_description='Test via Powershell les IO disque d''un serveur windows' WHERE plugin_name='GESA_PWSH_WINDOWS_IO';
UPDATE esia_service_pattern_included
SET included_plugin_id=(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_SWAP')
WHERE included_name='GESA_PWSH_WINDOWS_SWAP' AND included_plugin_id IS NULL
