--NAME:default_gesa_api_innovaphone
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_TCP,GESA_API_INNOVAPHONE_CPU,GESA_API_INNOVAPHONE_MEM,GESA_API_INNOVAPHONE_TIME_CALL,GESA_API_INNOVAPHONE_PKG_LOSS,GESA_API_INNOVAPHONE_NB_CALL_ERROR,GESA_API_INNOVAPHONE_TIME_ERROR

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_api_innovaphone','pattern de supervision des webapp Innovaphones');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_api_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,'1',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_TCP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_api_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_TCP'),'-H $IP -p 443 -w 5 -c 10','300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_API_INNOVAPHONE_CPU',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_api_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_CPU'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_CPU'),300000,NULL,NULL,NULL,NULL,NULL,3);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_API_INNOVAPHONE_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_api_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_MEM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_MEM'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_API_INNOVAPHONE_PKG_LOSS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_api_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_PKG_LOSS'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_PKG_LOSS'),300000,NULL,NULL,NULL,NULL,NULL,3);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_API_INNOVAPHONE_TIME_CALL',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_api_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_TIME_CALL'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_TIME_CALL'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_API_INNOVAPHONE_TIME_ERROR',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_api_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_TIME_ERROR'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_TIME_ERROR'),300000,NULL,NULL,NULL,NULL,NULL,3);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_API_INNOVAPHONE_NB_CALL_ERROR',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_api_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_NB_CALL_ERROR'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_NB_CALL_ERROR'),300000,NULL,NULL,NULL,NULL,NULL,3);



INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_API_INNOVAPHONE_NB_CALL_CURRENT',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_api_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_NB_CALL_CURRENT'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_NB_CALL_CURRENT'),300000,NULL,NULL,NULL,NULL,NULL,3);
