--NAME:default_gesa_snmp_aruba_ap
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_AP_UBIQUITI_CPU,GESA_SNMP_UBIQUITI_AP_MEM,GESA_SNMP_UBIQUITI_AP_CLIENT

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_gesa_snmp_aruba_ap','pattern de supervision des access points wifi ubiquiti');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_aruba_ap'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_ARUBA_AP_CPU',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_aruba_ap'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ARUBA_AP_CPU'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_ARUBA_AP_CPU'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_ARUBA_AP_STATION',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_aruba_ap'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ARUBA_AP_STATION'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_ARUBA_AP_STATION'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_ARUBA_AP_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_aruba_ap'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ARUBA_AP_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_ARUBA_AP_MEM'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_ARUBA_AP_ENV',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_aruba_ap'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ARUBA_AP_ENV'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_ARUBA_AP_ENV'),
	300000,3);
