--NAME:default_gesa_stormshield
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_STORMSHIELD_MEM,GESA_SNMP_STORMSHIELD_CPU,GESA_SNMP_STORMSHIELD_TEMP,GESA_SNMP_STORMSHIELD_HEALTH,GESA_SNMP_STORMSHIELD_SECURITY,GESA_SNMP_TCP_ESTABLISHED

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_stormshield','Pattern pour les parefeus Stormshields');

INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id, included_plugin_id, included_parameter, included_interval,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'), (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),300000,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_STORMSHIELD_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_MEM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_MEM'),300000,NULL,NULL,NULL,NULL,NULL,2);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_STORMSHIELD_CPU',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_CPU'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_CPU'),300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_STORMSHIELD_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_HEALTH'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_HEALTH'),300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_STORMSHIELD_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_TEMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_TEMP'),300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_STORMSHIELD_SECURITY',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_SECURITY'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_SECURITY'),300000,NULL,NULL,NULL,NULL,NULL,7);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_TCP_ESTABLISHED',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_TCP_ESTABLISHED'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_TCP_ESTABLISHED'),300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_STORMSHIELD_DISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_DISK'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_DISK'),300000,NULL,NULL,NULL,NULL,NULL,7);
