--NAME:GESA_API_INNOVAPHONE_CPU
--INFRA:GESA

INSERT INTO public.esia_plugins (plugin_name, plugin_path, plugin_type, plugin_trap_oid, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_delete, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag) VALUES ('GESA_API_INNOVAPHONE_CPU', '/usr/local/esia/plugins/check_nrpe', 'default', NULL, '-u -S $GESASN -c check_api_innovaphone -a cpu  /etc/esia/innovaphone/default.auth $IP 80 90', 300000, 'Teste l''utilisation du CPU', false, 7, NULL, 'INNOVAPHONE', NULL);


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_CPU'),'GAUGE','#min:([\d\.]+)#',300,DEFAULT,'cpu_min',0,100,'percent','LINE1','#007FFF',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_CPU'),'GAUGE','#avg:([\d\.]+)#',300,DEFAULT,'cpu_avg',0,100,'percent','LINE1','#83bc00',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_CPU'),'GAUGE','#max:([\d\.]+)#',300,DEFAULT,'cpu_max',0,100,'percent','LINE1','#FF00FF',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_CPU'),'GAUGE','#warn:([\d\.]+)#',300,DEFAULT,'Warning',0,100,'percent','LINE1','#FFFF00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_CPU'),'GAUGE','#crit:([\d\.]+)#',300,DEFAULT,'Critical',0,100,'percent','LINE1','#FFFF00',NULL,NULL,NULL);
