--NAME:GESA_API_INNOVAPHONE_NB_CALL_CURRENT
--INFRA:GESA

INSERT INTO public.esia_plugins (plugin_name, plugin_path, plugin_type, plugin_trap_oid, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_delete, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag) VALUES ('GESA_API_INNOVAPHONE_NB_CALL_CURRENT', '/usr/local/esia/plugins/check_nrpe', 'default', NULL, '-u -S $GESASN -c check_api_innovaphone -a call_nb /etc/esia/innovaphone/default.auth $IP 50 75', 300000, 'Teste le nombre d''appels en modes Dialing,Calling,Connected', false, 7, NULL, 'INNOVAPHONE', NULL);


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_NB_CALL_CURRENT'),'GAUGE','#(\d+)\s+call#',300,DEFAULT,'Calls',0,-1,'number','AREA','#83bc00',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_NB_CALL_CURRENT'),'GAUGE','#Total\s+(\d+)#',300,DEFAULT,'Total',0,-1,'number','LINE1','#007FFF',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_NB_CALL_CURRENT'),'GAUGE','#w:(\d+)#',300,DEFAULT,'Warning',0,-1,'number','LINE1','#FFFF00',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_NB_CALL_CURRENT'),'GAUGE','#c:(\d+)#',300,DEFAULT,'Critical',0,-1,'number','LINE1','#FF0000',NULL,NULL,NULL);


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_NB_CALL_CURRENT'),'GAUGE','#Connected\s*=\s*(\d+)#',300,DEFAULT,'Connected',0,-1,'number','LINE1','#83bc00',NULL,1,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_NB_CALL_CURRENT'),'GAUGE','#Dialing\s*=\s*(\d+)#',300,DEFAULT,'Dialing',0,-1,'number','LINE1','#007FFF',NULL,1,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_NB_CALL_CURRENT'),'GAUGE','#Calling\s*=\s*(\d+)#',300,DEFAULT,'Calling',0,-1,'number','LINE1','#007FFF',NULL,1,NULL);
