--NAME:GESA_API_INNOVAPHONE_TIME_ERROR
--INFRA:GESA

INSERT INTO public.esia_plugins (plugin_name, plugin_path, plugin_type, plugin_trap_oid, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_delete, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag) VALUES ('GESA_API_INNOVAPHONE_TIME_ERROR', '/usr/local/esia/plugins/check_nrpe', 'default', NULL, '-u -S $GESASN -c check_api_innovaphone -a error_time /etc/esia/innovaphone/default.auth $IP 60 120', 300000, 'Teste le nombre de secondes pour les appels en modes Alerting,Disconnecting', false, 7, NULL, 'INNOVAPHONE', NULL);


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_TIME_ERROR'),'GAUGE','#Biggest time is (\d+)#',300,DEFAULT,'Biggest_time',0,-1,'seconds','AREA','#83bc00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_TIME_ERROR'),'GAUGE','#tw:(\d+)#',300,DEFAULT,'Warning',0,-1,'seconds','LINE1','#FFFF00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_TIME_ERROR'),'GAUGE','#tc:(\d+)#',300,DEFAULT,'Critical',0,-1,'seconds','LINE1','#FF0000',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_TIME_ERROR'),'GAUGE','#ok:(\d+)#',300,DEFAULT,'call_time_ok',0,-1,'number','LINE1','#83bc00',NULL,1,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_TIME_ERROR'),'GAUGE','#warn:(\d+)#',300,DEFAULT,'call_time_warn',0,-1,'number','LINE1','#FFFF00',NULL,1,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_API_INNOVAPHONE_TIME_ERROR'),'GAUGE','#crit:(\d+)#',300,DEFAULT,'call_time_crit',0,-1,'number','LINE1','#FF0000',NULL,1,NULL);
