--NAME:GESA_PWSH_DHCP_RANGE
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'GESA_PWSH_DHCP_RANGE','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -t 50 -c check_pwsh_dhcp -a main.pwsh $IP "<scopeId>" 80 90',300000,'Récupère le taux d''utilisation d''un range dhcp','false',7,NULL,'Microsoft','DHCP,RANGE');


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_DHCP_RANGE'),'GAUGE','#percent=([0-9\.]*)#',300,DEFAULT,'used',0,100,'percent','AREA','#83bc00','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_DHCP_RANGE'),'GAUGE','#free=([0-9]*)#',300,DEFAULT,'free',0,-1,'number','LINE1','#58FA67',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_DHCP_RANGE'),'GAUGE','#reserved=([0-9]*)#',300,DEFAULT,'reserved',0,-1,'number','LINE1','#58ACFA',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_DHCP_RANGE'),'GAUGE','#use=([0-9]*)#',300,DEFAULT,'use',0,-1,'number','LINE1','#F79F81',NULL,2,NULL);
