--NAME:GESA_PWSH_WINDOWS_INTERFACE
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag)
VALUES (DEFAULT,'GESA_PWSH_WINDOWS_INTERFACE','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -t 50 -c check_pwsh_interface -a main.pwsh $IP auto "ethernet" 80 90',300000,NULL,'false',7,'/usr/local/esia/public_html/theme/plugins/GESA_SNMP_INTERFACE_EASY.php','Microsoft','INTERFACE');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_INTERFACE'),'GAUGE','#data:in=([0-9\.\,]*)#',300,DEFAULT,'in',0,-1,'bps','LINE1','#007FFF',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_INTERFACE'),'GAUGE','#data:out=([0-9\.\,]*)#',300,DEFAULT,'out',0,-1,'bps','AREA','#83bc00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_INTERFACE'),'GAUGE','#inErrors\:([0-9]*)#',300,DEFAULT,'in_errors',0,-1,'packet/s','LINE1','#FF0000',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_INTERFACE'),'GAUGE','#outErrors\:([0-9]*)#',300,DEFAULT,'out_errors',0,-1,'packet/s','LINE1','#B80101',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_INTERFACE'),'GAUGE','#outBroadcast\:([0-9]*)#',300,DEFAULT,'out_broadcast',0,-1,'bps','LINE1','#0054A8',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_INTERFACE'),'GAUGE','#inUnicast\:([0-9]*)#',300,DEFAULT,'in_unicast',0,-1,'bps','LINE1','#A5DF00',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_INTERFACE'),'GAUGE','#outUnicast\:([0-9]*)#',300,DEFAULT,'out_unicast',0,-1,'bps','LINE1','#088A29',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_INTERFACE'),'GAUGE','#inBroadcast\:([0-9]*)#',300,DEFAULT,'in_broadcast',0,-1,'bps','LINE1','#58ACFA',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_INTERFACE'),'GAUGE','#outMulticast\:([0-9]*)#',300,DEFAULT,'outMulticast',0,-1,'bps','LINE1','#336666',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_INTERFACE'),'GAUGE','#inMulticast\:([0-9]*)#',300,DEFAULT,'inMulticast',0,-1,'bps','LINE1','#00CCCC',NULL,2,NULL);
