--NAME:GESA_PWSH_WINDOWS_MEM
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'GESA_PWSH_WINDOWS_MEM','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -t 50 -c check_pwsh_mem -a main.pwsh $IP 80 90',300000,'check de la mémoire RAM pour les machines Windows','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php','Microsoft','MEMORY,RAM');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_MEM'),'GAUGE','#mem=([0-9]*)#',300,DEFAULT,'ram',0,100,'percent','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_MEM'),'GAUGE','#total=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_PWSH_WINDOWS_MEM'),'GAUGE','#used=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL);
