--NAME:GESA_SNMP_QNAP_TEMP
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'GESA_SNMP_QNAP_TEMP','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_qnap_temp -a $IP $SNMP_COM 50 90',300000,'Test la bonne santé d''un NAS de la marque QNAP (compatible QNAP NAS-MIB).  Ce plugin récupère et vérifie:  - Affiche le modèle et son nom système  - Température du système  - Température du CPU  - États des disques (modèle, capacité, statut smart et la température)  - États des volumes RAID','false',7,NULL,'Qnap','HEALTH,NAS');
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_TEMP'),'GAUGE','#cpu:([0-9]*)#',300,DEFAULT,'cpu',0,150,'temperature','LINE1','#A4A4A4',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_TEMP'),'GAUGE','#hdd:([0-9]*)#',300,DEFAULT,'hdd',0,150,'temperature','LINE1','#01DF01',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_TEMP'),'GAUGE','#system:([0-9]*)#',300,DEFAULT,'system',0,150,'temperature','LINE1','#58D3F7',NULL,NULL,NULL);
